package main

type LoginRequest struct {
	Login       string `json:"login"`
	Password    string `json:"password"`
	Fingerprint string `json:"fingerprint"`
}

type LoginResponse struct {
	CreatedAt   int64  `json:"created_at,omitempty"`  //1599031125
	ApiKey      string `json:"apikey,omitempty"`      //"apikey-af461547-da12-5e33-9a99-c63d9000762b"
	MacAddress  string `json:"mac_address,omitempty"` //"04ea56b3f380"
	Metadata    string `json:"metadata,omitempty"`    //"{\"os\":\"1\",\"state\":\"online\",\"streamer\":\"0\",\"type\":\"2\"}"
	Fingerprint string `json:"fingerprint,omitempty"` //"fingerprint": "45c9dd6c-6925-a994-3fc3-c26cdec786ce",
	Id          string `json:"id,omitempty"`          // "id": "device-4d4c9fba-4d11-5b10-b3b3-05346a7bd4d2",
	Client      string `json:"client,omitempty"`      //"client": "client-8c220f6e-3432-5f41-80f2-b830f7b60658",
	Name        string `json:"name,omitemptys"`       //"name": "DESKTOP-3H0CLPE"
}

type AddDeviceRequest struct {
	Name        string `json:"name"`        //DESKTOP-3H0CLPE
	MacAddress  string `json:"mac_address"` //04ea56b3f380
	Fingerprint string `json:"fingerprint"`
	Metadata    string `json:"metadata"`
}
