package main

type MonfloRequest struct {
	Method  string            `json:"method,omitempty"`
	Uri     string            `json:"uri,omitempty"`
	Headers MonfloHeader      `json:"headers,omitempty"`
	Data    MonfloRequestData `json:"data,omitempty"`
}

type MonfloHeader struct {
	ApiKey      string `json:"apikey,omitempty"`
	PrivateAddr string `json:"private_addr,omitempty"`
	PublicAddr  string `json:"public_addr,omitempty"`
	Type        string `json:"type,omitempty"`   //p2p
	Format      string `json:"format,omitempty"` //h264
}

type MonfloRequestData struct {
	Metadata    string   `json:"metadata,omitempty"`
	Name        string   `json:"name,omitempty"`
	PrivateAddr string   `json:"private_addr,omitempty"`
	PublicAddr  string   `json:"public_addr,omitempty"`
	Key         string   `json:"key,omitempty"`
	Bitrate     int      `json:"bitrate,omitempty"`
	Formats     []string `json:"formats,omitempty"` //h264 h265
	Stream      string   `json:"stream,omitempty"`
	Status      string   `json:"status,omitempty"`
	Client      string   `json:"client,omitempty"`
}
