package main

type MonfloResponse struct {
	Event  string `json:"event,omitempty"`
	Status int    `json:"status,omitempty"`
}

type DevicesResponse struct {
	MonfloResponse
	Data []LoginResponse `json:"data"`
}

type DeviceResponse struct {
	MonfloResponse
	Data LoginResponse `json:"data"`
}

type PatchDeviceResponse struct {
	MonfloResponse
	Data LoginResponse `json:"data"`
}

type PeersResponse struct {
	MonfloResponse
	Data map[string]PeerInfo `json:"data"`
}

type IncognitosResponse struct {
	MonfloResponse
	Data IncognitosData `json:"data"`
}
type IncognitosData struct {
	Id     string `json:"id"`
	Stream string `json:"stream"`
	Client string `json:"client"`
}

type StreamResponse struct {
	MonfloResponse
	Data StreamInfo `json:"data"`
}

type StreamReadResponse struct {
	MonfloResponse
	Data StreamReadData `json:"data"`
}

type StreamReadData struct {
	Client      string `json:"client"`       //client-528591bf-bc07-59c5-8f24-a543bf383680
	Format      string `json:"format"`       //h264
	Id          string `json:"id"`           //stream-16f25ad7-be2b-5d45-a777-47d8f4c77179
	PrivateAddr string `json:"private_addr"` //172.19.10.175:58169
	PublicAddr  string `json:"public_addr"`  //58.210.98.46:44742
	Type        string `json:"type"`         //p2p
}

type ClientConnectedEvent struct {
	MonfloResponse
	Data string `json:"data"`
}
